/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author ka
 */

import java.io.*;
import java.sql.*;
import java.util.*;

class AUTO
{
	public int Id;
	public String tipus;
	public String rendszam;
	public String szin;
	public String tulajdonos;
	public int urtartalom;
	
	public AUTO()
	{
		Id=-1;
		tipus="";
		rendszam="";
		szin="";
		tulajdonos="";
		urtartalom=0;
	}
}

class SQL 
{
    Connection Connect()
    {
        Connection connection = null;        
        try 
        {
            Class.forName("com.mysql.jdbc.Driver");
            connection = DriverManager.getConnection("jdbc:mysql://localhost:3306/kocsi","root", "");            
 
        } 
        catch (Exception e)
        {
            e.printStackTrace();
 
        }
        return connection;         
    }
    
    public void add(AUTO a)
    {
        try
        {
            Connection conn=Connect();
            String sql="insert into auto (tipus,rendszam,szin, tulajdonos,urtartalom) values (?,?,?,?,?)";
            PreparedStatement st= conn.prepareStatement(sql);
            st.setString(1, a.tipus);
            st.setString(2, a.rendszam);
            st.setString(3, a.szin);
            st.setString(4, a.tulajdonos);
            st.setInt(5, a.urtartalom);
            st.executeUpdate();
            st.close();
        }
        catch (Exception e)
        {
            e.printStackTrace();
        }
    }
    
    public List<AUTO> getList()
    {
       ArrayList kocsik= new ArrayList<AUTO>(); 
       try
        {
            Connection conn=Connect();
            String sql="select * from auto";
            PreparedStatement st= conn.prepareStatement(sql);
            ResultSet rs=st.executeQuery();
            while(rs.next())
            {
                AUTO a=new AUTO();
                a.Id=rs.getInt("Id");
                a.tipus=rs.getString("tipus");
                a.rendszam=rs.getString("rendszam");
                a.szin=rs.getString("szin");
                a.tulajdonos=rs.getString("tulajdonos");
                a.urtartalom=rs.getInt("urtatalom");
                kocsik.add(a);
            }
            st.close();
        }
        catch (Exception e)
        {
            e.printStackTrace();
        }
        
        return kocsik;
    }
}

public class Kocsi
{
    private static void rogzit() throws IOException
    {
        BufferedReader br=new BufferedReader(new InputStreamReader(System.in));
	        
	AUTO a=new AUTO();
	System.out.print("Tipus      :"); a.tipus=br.readLine();
	System.out.print("Rendszam   :"); a.rendszam=br.readLine();
	System.out.print("Szin       :"); a.szin=br.readLine();
	System.out.print("Tulajdonos :"); a.tulajdonos=br.readLine();
        System.out.print("Urtartalom :"); a.urtartalom=Integer.parseInt(br.readLine());
	        
	SQL sql=new SQL();
	sql.add(a);
	        
    }
	
    private static void listaz()
    {
        SQL sql=new SQL();
	List<AUTO> kocsik=sql.getList();
		
	for( int i=0; i<kocsik.size(); i++)
	{
            AUTO a=kocsik.get(i);
            System.out.println(a.Id+ " "+a.tipus+" "+a.rendszam+" "+a.szin+" "+a.tulajdonos+" "+a.urtartalom );
        }
    }
	
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws IOException
    {
        // TODO code application logic here
        for( int i=0; i<3; i++)
        {
    	   rogzit();
        }
        listaz();
    }
}
